Package in.cdac.medinfo.csnotk.csnolib.util

## Class LoggerUtility

- java.lang.Object
- - in.cdac.medinfo.csnotk.csnolib.util.LoggerUtility

-     public class LoggerUtility
      extends java.lang.Object

  Class Logger is the utility class which logs the exceptions or messages.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static org.apache.logging.log4j.Marker` | `CONSOLE` |
    `static org.apache.logging.log4j.Marker` | `ConsoleWithException` |
    `static org.apache.logging.log4j.Marker` | `ConsoleWithLog` |
    `static org.apache.logging.log4j.Marker` | `ConsoleWithMapICDException` |
    `static org.apache.logging.log4j.Marker` | `DISBException` |
    `static org.apache.logging.log4j.Marker` | `Exception` |
    `static org.apache.logging.log4j.Marker` | `Log` |
    `static org.apache.logging.log4j.Marker` | `MapICDException` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LoggerUtility()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `createErrorMessage​(java.lang.Exception exception)` | Create user defined message structure from Exception.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONSOLE

          public static final org.apache.logging.log4j.Marker CONSOLE

    - #### Log

          public static final org.apache.logging.log4j.Marker Log

    - #### ConsoleWithLog

          public static final org.apache.logging.log4j.Marker ConsoleWithLog

    - #### ConsoleWithException

          public static final org.apache.logging.log4j.Marker ConsoleWithException

    - #### Exception

          public static final org.apache.logging.log4j.Marker Exception

    - #### DISBException

          public static final org.apache.logging.log4j.Marker DISBException

    - #### MapICDException

          public static final org.apache.logging.log4j.Marker MapICDException

    - #### ConsoleWithMapICDException

          public static final org.apache.logging.log4j.Marker ConsoleWithMapICDException

  - ### Constructor Detail

    - #### LoggerUtility

          public LoggerUtility()

  - ### Method Detail

    - #### createErrorMessage

          public static java.lang.String createErrorMessage​(java.lang.Exception exception)

      Create user defined message structure from Exception.
      Parameters:
        `exception` - `String` value representing error message